Search the Community
Showing results for tags 'create'.
-
.......
- 12 replies
-
- mleader style
- autocad
-
(and 3 more)
Tagged with:
-
Okay, so I know there are plenty of door tools out there, but none of them have so far done what I've wanted or look how I want them to. I need something that will allow me to choose a door opening, either by line selecting or choosing two points, and then decide the door swing and side of the line. Also, I need the lines to be essentially a quarter circle with a polyline drawn out to the quadrant. Simple single lines is all I need. Closest I got to this was creating a block and having it copy in to the base line and then pressing [tab] to change the swing and side. This was however buggy and created a load of blocks that I don't really want. Anyone heard of a lisp that will do this, or can assist me in creating one?
-
Convert a simple table (exploded) to a real table.
CafeJr posted a topic in AutoLISP, Visual LISP & DCL
Hi guys, I wanna know if someone has a Lisp code to convert a simple table to a real table. The drawing shows a simgle table made by lines and texts. Thanks in Advance. -
Search for a layer and create if it doesn't exist
playerdraft123 posted a topic in AutoLISP, Visual LISP & DCL
Hello, I am hoping that someone can help me with creating a lisp routine that will search an open drawing for a specific layer, and if that layer doesn't exist within the drawing, then the lisp routine will create it (specifying a color, linetype, etc). Any help on this would be greatly appreciated. -
Layer Create or Set Current if already existing
clint0577 posted a topic in AutoLISP, Visual LISP & DCL
I have a routine that I've been using but I would like to modify it just a bit. The function is for creating Deed Sketches that allows the user to create a new layer and select a color. It works great but if you happen to exit the command, and need to start again, it still asks for a new layer. I would like to change the code to have the option to first, USE THE CURRENT LAYER. If not then I would have the option I already have, which is to create the new layer but then I need to, if that layer already exists, set it to current. Here is that portion of the code. I've tried tons of different ways but I know just enough about lisp routines to get myself into trouble. ;main program (DEFUN C:deed () (while (or (not (snvalid (setq name (getstring t "\nSpecify Layer Name: ")))) (tblsearch "LAYER" name) ) (princ "\nLayer Name Invalid or Already Exists.") ) (if (setq color (acad_colordlg 7 nil)) (entmake (list (cons 0 "LAYER") (cons 100 "AcDbSymbolTableRecord") (cons 100 "AcDbLayerTableRecord") (cons 2 name) (cons 70 0) (cons 62 color) ) ) ) (command "layer" "s" NAME "") -
I'm quite new with the BOM thing with Autocad, though I have used xref a lot. Is there a way to create a BOM or at least a list/table of the xrefs I have attached to the drawing with the number of times used or occurrences in the drawing? The drawing I made have about 50+ xrefs and some of it is attached more than once, if i'm going to use the AMPARTREF, and made a reference on an xref, i have to input the quantity manually. Is there a way to automate this?
-
It's about time I started using Dynamic Blocks but all the lititure I find for it makes what I guess is realitively easy into a mystery. If I have a new layer called "PL" and draw a rectangle with it and then do a solid fill also on layer PL and make it a block: How do I make the fill switchable between visible or not and choose it's colour? Add things like stretchable in certain directions etc. (Plan view of windows are a good example of when that is handy) If I can get these answers for a simple rectangle I should be able to fathom it out for more involved blocks.
-
Hello all, I seem to be having a lot of trouble creating a linetype i just received on a set of drawings. its a thick line that thins out and back to thick kind of like long arrowheads back to back. Any idea how i could get that going on cad 2002? i've fooled around with the .lin file with no success. Thanks Matt
- 5 replies
-
- line types
- creating
-
(and 3 more)
Tagged with: